.modal {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 0.4rem;
  width: 450px;
  padding: 1.3rem;
  min-height: 220px;
  top: 20%;
  background-color: rgb(20,20,20);
  box-shadow: 0 6px 14px -6px rgba(10,16,31,.12),0 10px 32px -4px rgba(10,16,31,.1),0 0 0 1px rgba(255,255,255,0.1);
  border-radius: 15px;
  left: 0;
  right: 0;
  margin: auto;
  position: fixed;
  font-family: 'Avenir Next Regular', sans-serif;
}

.modal {
  z-index: 2;
}

.modal .flex {
  display: flex;
  align-items: center;
  justify-content: space-between;
  display: none;
}

.modal input {
  padding: 0.7rem 1rem;
  border-radius: 5px;
  font-size: 0.9em;
}

.modal p {
  font-size: 0.9rem;
  color: #777;
  margin: 0.4rem 0 0.2rem;
}

.modal-content{
  text-align: center;
  padding: 0 32px;
  display: flex;
  flex-direction: column;
}

.modal-content input{
  border: 2px solid green;
  border-radius: 5px;
  background-color: rgb(59,64,64);
  color: rgb(228,231,231);
  width: 100%;
  margin-top: 16px;
}

.modal-error{
  font-size: 13px;
  color: #ff3737;
  position: absolute;
  bottom: -20px;
  right: 0;
  display: none;
}

.modal-submit{
  margin: 32px auto 0;
  cursor: pointer;
  border: none;
  font-weight: 600;
  background-color: rgb(59,64,64);
  color: rgb(228,231,231);
  padding: 4px 24px;
}

/*.btn {*/
/*  display: inline-block;*/
/*  padding: 0.8rem 1.4rem;*/
/*  font-weight: 700;*/
/*  background-color: black;*/
/*  color: white;*/
/*  border-radius: 5px;*/
/*  text-align: center;*/
/*  font-size: 1em;*/
/*}*/

/*.btn-open {*/
/*  position: absolute;*/
/*  bottom: 150px;*/
/*}*/

.btn-close {
  transform: translate(10px, -20px);
  padding: 0.5rem 0.7rem;
  background: #eee;
  border-radius: 50%;
  position: absolute;
  top: 20px;
  right: 20px;
}

.overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(3px);
  z-index: 1;
}

.hidden {
  display: none;
}